import type { RouteRecordRaw } from 'vue-router'
import AppLayout from '@/components/layout/Index.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/base/project',
    component: AppLayout,
    children: [
      { name: 'projectIndex', path: '', component: () => import('./views/Index.vue') },
      {
        name: 'projectCreate',
        path: 'create',
        component: () => import('./views/Update.vue'),
        props: { action: 'add' }
      },
      {
        name: 'projectUpdate',
        path: 'update/:id',
        component: () => import('./views/Update.vue'),
        props: route => ({ action: 'update', id: route.params.id })
      },
      {
        name: 'projectView',
        path: 'view/:id',
        component: () => import('./views/Update.vue'),
        props: route => ({ action: 'view', id: route.params.id })
      }
    ]
  }
]
